Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dlamc2

    java.lang.Object
      org.netlib.lapack.Dlamc2

    public class Dlamc2

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLAMC2 determines the machine parameters specified in its argument
     *  list.
     *
     *  Arguments
     *  =========
     *
     *  BETA    (output) INTEGER
     *          The base of the machine.
     *
     *  T       (output) INTEGER
     *          The number of ( BETA ) digits in the mantissa.
     *
     *  RND     (output) LOGICAL
     *          Specifies whether proper rounding  ( RND = .TRUE. )  or
     *          chopping  ( RND = .FALSE. )  occurs in addition. This may not
     *          be a reliable guide to the way in which the machine performs

     *          its arithmetic.
     *
     *  EPS     (output) DOUBLE PRECISION
     *          The smallest positive number such that
     *
     *             fl( 1.0 - EPS ) .LT. 1.0,
     *
     *          where fl denotes the computed value.
     *
     *  EMIN    (output) INTEGER
     *          The minimum exponent before (gradual) underflow occurs.
     *
     *  RMIN    (output) DOUBLE PRECISION
     *          The smallest normalized number for the machine, given by
     *          BASE**( EMIN - 1 ), where  BASE  is the floating point value

     *          of BETA.
     *
     *  EMAX    (output) INTEGER
     *          The maximum exponent before overflow occurs.
     *
     *  RMAX    (output) DOUBLE PRECISION
     *          The largest positive number for the machine, given by
     *          BASE**EMAX * ( 1 - EPS ), where  BASE  is the floating point

     *          value of BETA.
     *
     *  Further Details
     *  ===============
     *
     *  The computation of  EPS  is based on a routine PARANOIA by
     *  W. Kahan of the University of California at Berkeley.
     *
     * =====================================================================

     *
     *     .. Local Scalars ..

Field Summary
`static boolean` | `first`
`static boolean` | `iwarn`
`static intW` | `lbeta`
`static intW` | `lemax`
`static int` | `lemin`
`static double` | `leps`
`static doubleW` | `lrmax`
`static double` | `lrmin`
`static intW` | `lt`

Constructor Summary
`Dlamc2()`

Method Summary
`static void` | `dlamc2(intW beta, intW t, booleanW rnd, doubleW eps, intW emin, doubleW rmin, intW emax, doubleW rmax)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lbeta

    public static intW lbeta

### lemax

    public static intW lemax

### lemin

    public static int lemin

### lt

    public static intW lt

### leps

    public static double leps

### lrmax

    public static doubleW lrmax

### lrmin

    public static double lrmin

### iwarn

    public static boolean iwarn

### first

    public static boolean first

Constructor Detail

### Dlamc2

    public Dlamc2()

Method Detail

### dlamc2

    public static void dlamc2(intW beta,
                              intW t,
                              booleanW rnd,
                              doubleW eps,
                              intW emin,
                              doubleW rmin,
                              intW emax,
                              doubleW rmax)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD